#include<stdio.h>
int main(){
  int i,j,n;
  scanf("%d", &n);
  if(n<=0){
    printf("-1/n");
    return 1;
}
  if(i==1){
    printf("*");
    return 1;
}
  for(i=1;i<=n;i++){
    for(j=1;j<=n-i;j++)
      printf(" ");
    
    for(j=n-i;j<=2*n-i;j++)
    printf("*A ");
    printf("\n");
  }
}
